import { getCreateShowTime } from '../../utils/utils';
import { updateMeetingTask } from '../../api/request';
class Store {
    data = {
        affairList: [],
        currentTask: {}, // 任务  endTime, excutor, title, excutorId
        notes: null, //{meetingNotes: '', commentId: ''}
        parentCommentId: '', // 评论的动态Id
        remark: null,   //{remark: '', commentId: ''}
        files: [],
        tasks: [],
        fileInfos: null,
        description: '',
        oldFileInfos: '',
        oldDescription: '',
        scheduleId: '',
        groupId: '',
        isNeedReloadList: false,
        logId: '',
        relatedAppPlatform: null
    }
    changeStatus(meetingId, taskModifyModel, callBack) {
        const data = {
            meetingId: meetingId,
            platform: 'dingTalk',
            taskModifyModel
        };
        // 提前改
        const index = this.data.affairList.findIndex(it => it.commentId === taskModifyModel.commentId);
        if (index !== -1) {

            // 修改详情列表数据
            const changeData = this.data.affairList[index];
            changeData.meetingTaskSimpleViewModel.processState = taskModifyModel.processState;
            changeData.updateTime = getCreateShowTime(new Date());

            this.data.affairList.splice(index, 1);
            this.data.affairList.unshift(changeData);

            // 修改任务列表页面数据
            this.data.tasks[index].processState = taskModifyModel.processState;
            this.data.tasks[index].updateTime = getCreateShowTime(new Date());

            this.update();

            if (callBack) {
                callBack()
            }
        }
        updateMeetingTask(data).then(res => {
            if (res.data.code === 0) {
                // const index = this.data.affairList.findIndex(it => it.commentId === taskModifyModel.commentId);
                // if (index !== -1) {

                //     // 修改详情列表数据
                //     const changeData = this.data.affairList[index];
                //     changeData.meetingTaskSimpleViewModel.processState = taskModifyModel.processState;
                //     changeData.updateTime = getCreateShowTime(new Date());

                //     this.data.affairList.splice(index, 1);
                //     this.data.affairList.unshift(changeData);

                //     // 修改任务列表页面数据
                //     this.data.tasks[index].processState = taskModifyModel.processState;
                //     this.data.tasks[index].updateTime = getCreateShowTime(new Date());

                //     this.update();

                //     if (callBack) {
                //         callBack()
                //     }
                // }
            }
        });
    }
}
export default new Store()